/**
 * @param {import("knex").Knex} knex
 */
exports.up = function(knex) {
    return knex.schema.createTable('users', (table) => {
        table.increments('id').primary();
        table.string('name').notNullable();
        table.string('surname').notNullable();
        table.string('email').unique().index();
        table.string('password',255).notNullable();
        table.dateTime("created_at").defaultTo(knex.fn.now());;
        table.dateTime("update_at").defaultTo(knex.fn.now());;
        table.dateTime("deleted_at");
    });
};
exports.down = function(knex) {
    return knex.schema.dropTable('users');
};